package com.cim.idm.dao;

import com.cim.idm.model.CostCenter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface CostCenterDao {

    List<CostCenter> getCostCenter();
    List<Map<String, Object>> getUserInfo();

    void updatePacking(@Param("SALESHIPREQUESTNAME") String SALESHIPREQUESTNAME,
                       @Param("SALESHIPREQUESTDETAILNAME") String SALESHIPREQUESTDETAILNAME,
                       @Param("POSTSTATUS") String POSTSTATUS,
                       @Param("MATERIALPACKINGNAME") String MATERIALPACKINGNAME,
                       @Param("saleshiprequestname") String saleshiprequestname,
                       @Param("saleShipRequestDetailName") String saleShipRequestDetailName);

    void insertPackingChenk(@Param("SALESHIPREQUESTNAME") String SALESHIPREQUESTNAME,
                            @Param("SALESHIPREQUESTDETAILNAME") String SALESHIPREQUESTDETAILNAME,
                            @Param("MATERIALPACKINGNAME") String MATERIALPACKINGNAME,
                            @Param("SITENAME") String SITENAME,
                            @Param("materialSpecName") String materialSpecName,
                            @Param("charge") String charge,
                            @Param("phase") String phase,
                            @Param("customno") String customno,
                            @Param("careerAssistance") String careerAssistance,
                            @Param("POSTSTATUS") String POSTSTATUS,
                            @Param("id") String id,
                            @Param("saleshiprequestname") String saleshiprequestname,
                            @Param("saleShipRequestDetailName") String saleShipRequestDetailName);

    void insertPackingChenkMain(@Param("id") String id,
                                @Param("status") String status,
                                @Param("careerAssistance") String careerAssistance,
                                @Param("saleshiprequestname") String saleshiprequestname,
                                @Param("saleshiprequestdetailname") String saleshiprequestdetailname);

    void updateCheckMain(@Param("mainId") String mainId);
}
